Skip to content

getIntercompanyTransactions

READ

Get intercompany transactions.

POST /api/v1/accounting/getIntercompanyTransactions
curl -X POST '<your-host>/api/v1/accounting/getIntercompanyTransactions' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "args": {}
  }'
Response
{
  "results": [
    {
      "amount": 0,
      "companyGroupId": "string",
      "createdAt": "string",
      "currencyCode": "string",
      "description": "string",
      "documentId": "string",
      "documentType": "Payment",
      "eliminationJournalId": "string",
      "id": "string",
      "sourceCompanyId": "string",
      "sourceJournalLineId": "string",
      "status": "string",
      "targetCompanyId": "string",
      "targetJournalLineId": "string",
      "updatedAt": "string",
      "sourceCompany": {
        "name": "string"
      },
      "targetCompany": {
        "name": "string"
      }
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "args": {
      "type": "object",
      "properties": {
        "limit": {
          "type": "integer",
          "default": 100
        },
        "offset": {
          "type": "integer",
          "default": 0
        },
        "status": {
          "type": [
            "string",
            "null"
          ]
        }
      }
    }
  }
}